Package org.linphone.core

# Interface LoggingServiceListener

All Known Implementing Classes:
  `LoggingServiceListenerStub`

public interface LoggingServiceListener
Listener for `LoggingService`.

## Method Summary

Modifier and Type
Method
Description
`void`
`onLogMessageWritten(LoggingService logService, String domain, LogLevel level, String message)`
Type of callbacks called each time liblinphone write a log message.

## Method Details

### onLogMessageWritten

void onLogMessageWritten(LoggingService logService, String domain, LogLevel level, String message)
Type of callbacks called each time liblinphone write a log message.

Parameters:
  `logService` - A pointer on the logging service singleton.
  `domain` - A string describing which sub-library of liblinphone the message
  is coming from.
  `level` - Verbosity `LogLevel` of the message.
  `message` - Content of the message.